ngircd (24-2) unstable; urgency=medium

  * Take the package out of the Debian IRC Team's maintenance
  * Fix dependencies, remove obsolete ones, other cleanup

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 18 Aug 2017 17:31:49 +0200

ngircd (24-1) unstable; urgency=medium

  * New upstream version

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 20 Jan 2017 22:23:46 +0100

ngircd (23-2) unstable; urgency=low

  * No longer ship a socket activation file. Closes: #829057
  * Enable full hardening build
  * Add Documentation key to systemd service file

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 04 Jul 2016 14:01:16 +0200

ngircd (23-1) unstable; urgency=low

  * New upstream version 23
  * Update ngircd config from upstream
  * Use systemd and socket activation from upstream
  * Fix broken creation of the debug symbols
  * Upgrade to Standards-Version: 3.9.8, no changes

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 27 Jun 2016 23:48:15 +0200

ngircd (22.1-2) unstable; urgency=low

  * Allow reproducible builds
  * Actually use dh-systemd
  * Upgrade to Standards-Version: 3.9.6, no changes

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 26 Aug 2015 08:00:35 +0200

ngircd (22.1-1) unstable; urgency=low

  * New upstream version 22.1
  * Remove test-suite-dont-use-dns-lookups.patch, was cherry-picked
  * Use dh-systemd to install the service file. When using systemd,
    ngircd is now enabled by default.
  * Assert directories when using systemd. Closes upstream #219

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 21 Aug 2015 17:22:46 +0200

ngircd (22-2) unstable; urgency=low

  * Re-enable whois-test
  * Cherry-pick upstream commit rel-22-6-g31b3c83: Test suite: Don't
    use DNS lookups.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 04 Nov 2014 22:26:00 +0100

ngircd (22-1) unstable; urgency=low

  * New upstream version 22
  * Merge upstream version 22
  * Shipped configuration ngircd.conf
    - Update from upstream
    - Disable SSLv3
  * README.Debian
    - Drop section about ngircd 18
    - Document workaround for wheezy/jessie server links
  * Change to source format 3.0 (quilt) to benefit from upstream's xz
    compressed tarball

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 15 Oct 2014 20:34:20 +0200

ngircd (21.1-1) unstable; urgency=low

  * Build ngircd with support for ident (enabled by default) and
    PAM (disabled)
  * Exempt /usr/share/doc/ngircd/Commands.txt from compression to make
    the HELP command work
  * Build against GnuTLS 3 to work around Debian#708174 and CAs that
    sign certificates with SHA-512
  * Update debian/copyright and debian/watch
  * New upstream version 21.1

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 26 Apr 2014 22:27:58 +0000

ngircd (21-1) unstable; urgency=low

  * New upstream version 21
  * The cipher settings for TLS connections have been restricted,
    please report any problems.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 03 Nov 2013 13:15:58 +0000

ngircd (20.3-1) unstable; urgency=low

  * New upstream version 20.3, fixes CVE-2013-5580

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 23 Aug 2013 23:36:54 +0200

ngircd (20.2-1~exp1) experimental; urgency=low

  * Fix systemd service definition installation
  * New upstream version 20.2. This fixes the denial of service
    vulnerability CVE-2013-1747 introduced with 20.1-1~exp1

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 16 Feb 2013 22:57:16 +0100

ngircd (20.1-1~exp1) experimental; urgency=low

  * New upstream version 20.1
  * Upload to experimental

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 07 Jan 2013 19:27:26 +0100

ngircd (20-1) UNRELEASED; urgency=low

  * New upstream version 20
  * Fix path of upstream ngircd.conf. Closes: #693169
  * Remove ngircd-conf-convert and the debconf wrapper for it. This was
    needed to support squeeze (ngircd 15) to wheezy (ngircd 19)
    upgrades only.
  * Merge config config from upstream
  * Install systemd service definition

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 18 Dec 2012 21:09:55 +0100

ngircd (19.2-2) unstable; urgency=low

  * Debconf translation: Japanese (victory). Closes: #692479

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 06 Nov 2012 23:26:40 +0100

ngircd (19.2-1) unstable; urgency=low

  * New upstream version 19.2
  * Fix watch file to handle release candidates properly

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 19 Jun 2012 18:24:46 +0200

ngircd (19.2~rc1-1) unstable; urgency=low

  * New upstream version 19.2~rc1
  * Fix "status" target in init script:
    - "status" always returned "not running" since lsb-base 4.1
    - "status" was not documented in the short help
    Thanks to Alex Barton for the heads-up.
  * Provide a watch file

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 13 Jun 2012 21:30:58 +0200

ngircd (19.1-1) unstable; urgency=low

  * New upstream version 19.1
  * Enable hardened build flags. Closes: #664984

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 17 Apr 2012 19:47:32 +0200

ngircd (19-1) unstable; urgency=low

  * New upstream release 19
  * Upgrade Standards-Version: to 3.9.3, no changes

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 29 Feb 2012 18:00:27 +0000

ngircd (18-3) UNRELEASED; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #648241
  * [Debconf translation updates]
  * Portuguese (Pedro Ribeiro).  Closes: #651678
  * Danish (Joe Hansen).  Closes: #651892
  * Czech (Michal Simunek).  Closes: #652087
  * German (Chris Leick).  Closes: #652217
  * Russian (Yuri Kozlov).  Closes: #652426
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #652561
  * French (Julien Patriarca).  Closes: #652895
  * Dutch (Jeroen Schot).  Closes: #653080
  * Swedish (Martin Bagge). Closes: #653568
  * Spanish (Jathan). Closes: #655678

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Nov 2011 07:05:54 +0100

ngircd (18-2) unstable; urgency=low

  * Fix PIDDIR assertion (Closes: #648815).

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 17 Nov 2011 20:22:15 +0000

ngircd (18-1) unstable; urgency=low

  * New upstream release 18
  * The ngircd.conf file firmat has changed. Provide a helper program
    to rewrite the configuration file.
  * Upgrade to Standards-Version 3.9.2, no changes.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 06 Nov 2011 21:52:33 +0100

ngircd (17.1-1) UNRELEASED; urgency=low

  * New upstream release 17.1
  * Upgrade to Standards-Version 3.9.1, no changes.
  * Upgrade Debianisation to debhelper7.
  * Clean up init script (fixes Ubuntu bug #382027).

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 04 Jun 2011 18:16:00 +0200

ngircd (15-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #534410).
  * Enable reload in init script (Closes: #548797).
  * Enable TLS support.
  * Enable IPv6 support.
  * Set STARTTIME in init script.

 -- Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>  Sun, 07 Feb 2010 21:15:58 +0100

ngircd (0.12.1-2) unstable; urgency=low

  * Create /var/run/ngircd/ when starting the daemon Closes: #507259
     -- Patch thanks to Adrien Cunin
  * Add myself to Uploaders

 -- Matt Arnold <mattarnold5@gmail.com>  Tue, 23 Dec 2008 11:54:00 -0500

ngircd (0.12.1-1) unstable; urgency=low

  * New upstream release (Closes: #465815, #466063).
  * Maintainer set to Debian IRC Team.
  * Added Vcs-* fields in debian/control.
  * Added Homepage field in debian/control.
  * Removed Homepage from description field in debian/control.
  * Bumped policy version to 3.8.0.
  * Enabled syslog (Closes: #452028).
  * New init-script derived from actual dh-templates. (Closes: #478338).

 -- Mario Iseli <mario@debian.org>  Sat, 13 Sep 2008 16:47:32 +0200

ngircd (0.10.3-1) unstable; urgency=low

  * New maintainer E-Mail address.
  * New upstream release.
  * Removed several useless whitespaces in debian/*.
  * Added [ ! -f Makefile ] || $(MAKE) distclean to debian/rules.

 -- Mario Iseli <mario@debian.org>  Sat, 04 Aug 2007 17:04:53 +0200

ngircd (0.10.0-3) unstable; urgency=medium

  * Corrected the PidFile direction in sample ngircd.conf (Closes: #397331).

 -- Mario Iseli <admin@marioiseli.com>  Tue, 12 Dec 2006 10:34:13 +0100

ngircd (0.10.0-2) unstable; urgency=medium

  * Compile without epoll(), works now on Linux 2.4.x (Closes: #395553).
  * Corrected the path to the example config in referenced ngircd.conf.

 -- Mario Iseli <admin@marioiseli.com>  Sun, 05 Nov 2006 13:51:59 +0100

ngircd (0.10.0-1) unstable; urgency=low

  * New upstream release (Closes: #392616).
  * Removed provide on ircd.

 -- Mario Iseli <admin@marioiseli.com>  Wed, 11 Oct 2006 23:49:03 +0200

ngircd (0.9.2-4) unstable; urgency=low

  * Updated to policy 3.7.2
  * Removed patch 04-nicklength to be RFC-compliant (Closes: #353876)

 -- Mario Iseli <admin@marioiseli.com>  Sun, 07 May 2006 15:21:34 +0200

ngircd (0.9.2-3) unstable; urgency=low

  * New patch which allows longer nicknames, thanks to Benjamin A'Lee
    for the patch. (Closes: #355342)
  * Fixed the typo in the example config. (Closes: #353876)

 -- Mario Iseli <admin@marioiseli.com>  Sun, 05 Mar 2006 23:22:34 +0100

ngircd (0.9.2-2) unstable; urgency=low

  * Wrote 03-ping.dpatch (Closes: #343200)
  * Added a "if" in debian/ngircd.postinst

 -- Mario Iseli <admin@marioiseli.com>  Wed, 14 Dec 2005 23:02:34 +0100

ngircd (0.9.2-1) unstable; urgency=low

  * New upstream version
  * Changed the init and postinst script
  * reload in init script is now supported
  * fixed mistake in configfile
  * added original config as example
  * Removed patches/01-manuals and added patches/02-manuals

 -- Mario Iseli <admin@marioiseli.com>  Wed, 16 Nov 2005 17:50:17 +0100

ngircd (0.8.2-1) unstable; urgency=low

  * Initial release Closes: #295970
  * New debian-optimized config
  * Introduced dpatch and wrote a patch for the manuals (01-manuals)

 -- Mario Iseli <admin@marioiseli.com>  Tue,  1 Nov 2005 20:08:53 +0100
